Intel® Makers
Intel® Edison, Intel® Joule™, Intel® Curie™, Intel® Galileo
Announcements
Welcome - This is a Peer-to-Peer Forum only. Intel has discontinued these products but you may find support from other customers on this Forum
9881 Discussions

Installation of kernel module for USB driver (cp210x)

NK
New Contributor I
1,398 Views

I am actually following the home automation using galileo book to install the driver of cp210x family.

I was successfully able to transfer the kernel ipk module built on my system to the galileo through scp

Bu when I type the "opkg install "

It was showing the following error:(screen shot also attached below)

-------------

root@galileo:~# opkg install kernel-module-cp210x_3.14-r0_quark.ipk

Installing kernel-module-cp210x (3.14-r0) on root.

Collected errors:

* satisfy_dependencies_for: Cannot satisfy the following dependencies for kernel-module-cp210x:

* kernel-3.14.28-ltsi-yocto-standard *

* opkg_install_cmd: Cannot install package kernel-module-cp210x.

root@galileo:~#

1 Solution
Pedro_M_Intel
Employee
273 Views

Hello KS_Nathan,

According to the error message you received, the reason why you can't install the driver is because it requires kernel 3.14 to work. If you are using Galileo's official image, it doesn't meet this requirement as it uses kernel 3.8.7. Nevertheless, you could build your own image (and include the driver while doing it) that uses kernel 3.14. In order to do so you will have to use https://downloadcenter.intel.com/download/23197/Intel-Quark-BSP Quark's BSP 1.2.1 and follow http://www.intel.com/content/dam/www/public/us/en/documents/release-notes/quark-x1000-bsp-build-sw-r... its building guide.

Peter.

View solution in original post

2 Replies
Pedro_M_Intel
Employee
274 Views

Hello KS_Nathan,

According to the error message you received, the reason why you can't install the driver is because it requires kernel 3.14 to work. If you are using Galileo's official image, it doesn't meet this requirement as it uses kernel 3.8.7. Nevertheless, you could build your own image (and include the driver while doing it) that uses kernel 3.14. In order to do so you will have to use https://downloadcenter.intel.com/download/23197/Intel-Quark-BSP Quark's BSP 1.2.1 and follow http://www.intel.com/content/dam/www/public/us/en/documents/release-notes/quark-x1000-bsp-build-sw-r... its building guide.

Peter.

NK
New Contributor I
273 Views

Thank you for the early response, I will try it out..

Reply